import request from '@/utils/request'

// 查询班型管理列表
export function listClassType(query) {
  return request({
    url: '/school/classType/list',
    method: 'get',
    params: query
  })
}

// 查询班型管理详细
export function getClassType(id) {
  return request({
    url: '/school/classType/' + id,
    method: 'get'
  })
}

// 新增班型管理
export function addClassType(data) {
  return request({
    url: '/school/classType',
    method: 'post',
    data: data
  })
}

// 修改班型管理
export function updateClassType(data) {
  return request({
    url: '/school/classType',
    method: 'put',
    data: data
  })
}

// 删除班型管理
export function delClassType(id) {
  return request({
    url: '/school/classType/' + id,
    method: 'delete'
  })
}

// 导出班型管理
export function exportClassType(query) {
  return request({
    url: '/school/classType/export',
    method: 'get',
    params: query
  })
}